Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: - Testing -
Created: 2011-04-08 Assigned To: Karsten Dambekalns
Updated: 2011-04-12 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Functional tests for persistence are broken
Description

When a database is configured globally it is used instead of the database configured in the FLOW3 package for Testing context.

If that is changed (by adding global configuration for Testing), the tests still fail due to tons of crap.

Related issues:
related to TYPO3.Flow - Bug # 25858: General global settings override local c... Resolved 2011-04-08

Associated revisions
Revision b8422bb4 - 2011-04-12 15:12 - Karsten Dambekalns

[!!!][BUGFIX] Make FunctionalTestCase usable for persistence tests

This change makes persistence tests usable with Doctrine (again).

It changes some important things: * enableTestablePersistence() has been removed * set the static property $testablePersistenceEnabled instead *
persistence is now setup and torn down per testcase, not per test

See the adjusted tests for examples of needed adjustments.

Fixes: #25853
Change-Id: Ic714fe64af3fa25872a05b9f8e609ce2645c9c9f

History
#1 - 2011-04-08 15:04 - Mr. Hudson

Patch set 1 of change Ic714fe64af3fa25872a05b9f8e609ce2645c9c9f has been pushed to the review server.
It is available at http://review.typo3.org/1518

#2 - 2011-04-08 15:18 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#3 - 2011-04-08 17:31 - Mr. Hudson

Patch set 2 of change Ic714fe64af3fa25872a05b9f8e609ce2645c9c9f has been pushed to the review server.
It is available at http://review.typo3.org/1518
#4 - 2011-04-12 15:12 - Mr. Hudson

Patch set 3 of change Ic714fe64af3fa25872a05b9f8e609ce2645c9c9f has been pushed to the review server.
It is available at http://review.typo3.org/1518

#5 - 2011-04-12 15:30 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b8422bb442b9ae9fad69a83552e4759b9382492c.

2015-08-03 2/2

http://review.typo3.org/1518

